Subject: [babel] Summary of my comments about Sandy's talk

From: Juliusz Chroboczek <[email-masked]>
Date: Fri, 18 Nov 2016 06:18:31 +0100

I'd be thrilled to work on BIER in Babel.  Babel claims that it is
a flexible protocol, and getting BIER to work in Babel would be an
opportunity to prove this claim.

I do however have some concerns about draft-zhang-bier-babel-extensions-00.
First, the encoding does not fit Babel's extension mechanism for two reasons:
it speaks about a transitive, optional sub-TLV, and Babel does not have
these bits.  Depending on the intended semantics, this extension should be
encoded either as a sub-TLV of the Update TLV, as a sub-TLV of the
Router-Id TLV, as a new TLV, or as an Update TLV with a new AE.  I believe
I have an opinion, but I'm not sure.

Second, this version of the draft only speaks about the packet format --
it doesn't describe the semantics of the data, it doesn't say what an
implementation actually does with the extra data.  I'm going to do some
reading about BIER (Pierre, fancy a beer at some point?), but I'd
appreciate some references.

(Side note: what requirements does BIER make on the topology?  Are
non-transitive (meshy) links fine?)

Finally, I think this work only makes sense if people are serious about
building a prototype.  I'll be glad to help.

-- Juliusz

---

From: [email-masked]
Date: Thu, 17 Nov 2016 12:30:56 +0800

Hi Juliusz,

    Thank you very much for your comments, and appreciate for 
your confirmation about the draft.
    About the function of TLV advertisement that may influence 
the Babel advertising format, it is great that you have a 
solution to carry the feature bits. Maybe we can work together 
about the detail. 
    For the semantics of format, I will detail it in the next 
version. Once the way of advertisement changes, the corresponding
format may also be updated.
    For the BIER forwarding, the next-hop is one of the most 
important factor. So the prefix that associate with BIER info 
is used to calculate the corresponding next-hop.
    For the prototype, in fact we are doing the BIER prototype, 
but the work about Babel extension for BIER has not yet been 
started. I think we may have more discussion about it. 
    Thanks a lot. :)

Best Regards,
Sandy

Juliusz Chroboczek <[email-masked]> 写于 2016-11-18 下午 01:18:31:

> Juliusz Chroboczek <[email-masked]> 
> 2016-11-18 下午 01:18
> 
> 收件人
> 
> [email-masked], 
> 
> 抄送
> 
> [email-masked], [email-masked]
> 
> 主题
> 
> Summary of my comments about Sandy's talk
>